Package oracle.jdbc.diagnostics

## Enum Metrics.ConnectionEvent

- java.lang.Object
- - java.lang.Enum<Metrics.ConnectionEvent>
  - - oracle.jdbc.diagnostics.Metrics.ConnectionEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Metrics.ConnectionEvent>`

Enclosing class:
  Metrics

    public static enum Metrics.ConnectionEvent
    extends java.lang.Enum<Metrics.ConnectionEvent>

### Enum Constant Summary

Enum Constants
`ASO_NEGOTIATION`
`AUTH`
`AUTH_GEN_PK`
`CONNECT`
`NET_SESSION_ESTABLISHMENT`
`NS_ACCEPT`
`NS_CONNECT_RECEIVE1`
`NS_CONNECT_RECEIVE2`
`NS_CONNECT_SEND1`
`NS_CONNECT_SEND2`
`NS_REDIRECT`
`OVERSION`
`RECEIVE_OAUTH`
`RECEIVE_OSESS`
`SEND_OAUTH`
`SEND_OSESS`
`SOCKET_ESTABLISHMENT`
`SSL_BEGIN_HANDSHAKE`
`SSL_BEGIN_HANDSHAKE_RENEGOTIATION`
`SSL_CONTEXT_INIT`
`SSL_HANDSHAKE`
`SSL_HS_ROUND_TRIP_RECEIVE`
`SSL_HS_ROUND_TRIP_RUNTASKS`
`SSL_HS_ROUND_TRIP_SEND`
`SSL_HS_ROUND_TRIP_UNWRAP`
`SSL_HS_ROUND_TRIP_WRAP`
`SSL_RENEGO_ROUND_TRIP_RECEIVE`
`SSL_RENEGO_ROUND_TRIP_RUNTASKS`
`SSL_RENEGO_ROUND_TRIP_SEND`
`SSL_RENEGO_ROUND_TRIP_UNWRAP`
`SSL_RENEGO_ROUND_TRIP_WRAP`
`SSL_RENEGOTIATION`
`TTC_NEGOTIATION`
`TTC_TTIDTY`
`TTC_TTIPRO`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`static Metrics.ConnectionEvent` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Metrics.ConnectionEvent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final Metrics.ConnectionEvent CONNECT

#### NET_SESSION_ESTABLISHMENT

    public static final Metrics.ConnectionEvent NET_SESSION_ESTABLISHMENT

#### SOCKET_ESTABLISHMENT

    public static final Metrics.ConnectionEvent SOCKET_ESTABLISHMENT

#### NS_CONNECT_SEND1

    public static final Metrics.ConnectionEvent NS_CONNECT_SEND1

#### NS_CONNECT_RECEIVE1

    public static final Metrics.ConnectionEvent NS_CONNECT_RECEIVE1

#### NS_CONNECT_SEND2

    public static final Metrics.ConnectionEvent NS_CONNECT_SEND2

#### NS_CONNECT_RECEIVE2

    public static final Metrics.ConnectionEvent NS_CONNECT_RECEIVE2

#### NS_ACCEPT

    public static final Metrics.ConnectionEvent NS_ACCEPT

#### NS_REDIRECT

    public static final Metrics.ConnectionEvent NS_REDIRECT

#### ASO_NEGOTIATION

    public static final Metrics.ConnectionEvent ASO_NEGOTIATION

#### SSL_BEGIN_HANDSHAKE

    public static final Metrics.ConnectionEvent SSL_BEGIN_HANDSHAKE

#### SSL_HANDSHAKE

    public static final Metrics.ConnectionEvent SSL_HANDSHAKE

#### SSL_CONTEXT_INIT

    public static final Metrics.ConnectionEvent SSL_CONTEXT_INIT

#### SSL_HS_ROUND_TRIP_RUNTASKS

    public static final Metrics.ConnectionEvent SSL_HS_ROUND_TRIP_RUNTASKS

#### SSL_HS_ROUND_TRIP_WRAP

    public static final Metrics.ConnectionEvent SSL_HS_ROUND_TRIP_WRAP

#### SSL_HS_ROUND_TRIP_UNWRAP

    public static final Metrics.ConnectionEvent SSL_HS_ROUND_TRIP_UNWRAP

#### SSL_HS_ROUND_TRIP_RECEIVE

    public static final Metrics.ConnectionEvent SSL_HS_ROUND_TRIP_RECEIVE

#### SSL_HS_ROUND_TRIP_SEND

    public static final Metrics.ConnectionEvent SSL_HS_ROUND_TRIP_SEND

#### SSL_BEGIN_HANDSHAKE_RENEGOTIATION

    public static final Metrics.ConnectionEvent SSL_BEGIN_HANDSHAKE_RENEGOTIATION

#### SSL_RENEGOTIATION

    public static final Metrics.ConnectionEvent SSL_RENEGOTIATION

#### SSL_RENEGO_ROUND_TRIP_RUNTASKS

    public static final Metrics.ConnectionEvent SSL_RENEGO_ROUND_TRIP_RUNTASKS

#### SSL_RENEGO_ROUND_TRIP_WRAP

    public static final Metrics.ConnectionEvent SSL_RENEGO_ROUND_TRIP_WRAP

#### SSL_RENEGO_ROUND_TRIP_UNWRAP

    public static final Metrics.ConnectionEvent SSL_RENEGO_ROUND_TRIP_UNWRAP

#### SSL_RENEGO_ROUND_TRIP_RECEIVE

    public static final Metrics.ConnectionEvent SSL_RENEGO_ROUND_TRIP_RECEIVE

#### SSL_RENEGO_ROUND_TRIP_SEND

    public static final Metrics.ConnectionEvent SSL_RENEGO_ROUND_TRIP_SEND

#### TTC_NEGOTIATION

    public static final Metrics.ConnectionEvent TTC_NEGOTIATION

#### TTC_TTIPRO

    public static final Metrics.ConnectionEvent TTC_TTIPRO

#### TTC_TTIDTY

    public static final Metrics.ConnectionEvent TTC_TTIDTY

#### AUTH

    public static final Metrics.ConnectionEvent AUTH

#### SEND_OSESS

    public static final Metrics.ConnectionEvent SEND_OSESS

#### RECEIVE_OSESS

    public static final Metrics.ConnectionEvent RECEIVE_OSESS

#### SEND_OAUTH

    public static final Metrics.ConnectionEvent SEND_OAUTH

#### AUTH_GEN_PK

    public static final Metrics.ConnectionEvent AUTH_GEN_PK

#### RECEIVE_OAUTH

    public static final Metrics.ConnectionEvent RECEIVE_OAUTH

#### OVERSION

    public static final Metrics.ConnectionEvent OVERSION

### Method Detail

#### values

    public static Metrics.ConnectionEvent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Metrics.ConnectionEvent c : Metrics.ConnectionEvent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Metrics.ConnectionEvent valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()